AutoCAD Inventor :: How To Select All Segments Of A Sketch
Jan 25, 2013
I am very new to all Autodesk software. I am currently doing a trial on Inventor 2013 and Solidworks 2013 to decide which software is a better fit for my company. I am offsetting a very complex sketch by .002" and I want to delete the original. Clicking every line and radius does not make sense to me.
I can't seem to get inventor to select a given parameter inside a sketch. It keeps giving me an error.
All I want to do is to have inventor Select / Highlight a parameter inside of a sketch so the user can clearly see it in the window. Ive tried heaps of different selection options, I just can't work out what ive done wrong.
Sub GetParameter()Dim TargetName As StringDim oCompDef As PartComponentDefinitionDim oSketch As PlanarSketchDim oConstr As DimensionConstraintDim oParam As ParameterDim oCmdMgr As CommandManagerTargetName = d0 ' parameter nameSet oCmdMgr = ThisApplication.CommandManagerSet oCompDef = ThisApplication.ActiveDocument.ComponentDefinitionFor Each oSketch In oCompDef.Sketches For Each oConstr In oSketch.DimensionConstraints If oConstr.Parameter.Name = TargetName Then Set oParam = oConstr.Parameter oSketch.Edit Call oCmdMgr.DoSelect(oParam) Exit Sub End If NextNextEnd Sub
When i place a rectangle in a sketch i can't select the parameters to be directly linked to size. I must first enter a number, delete the number and can then through the triangle to the parameter list. Is it possible to approach the parameters directly ?
I am not sure exactly why this is a limited feature of Inventor 2011 but when you want to select a sketch to create a boundary patch you have to select each part of the sketch in sequence. It's a pretty laborious task. I am looking to a way to automate this using i logic.
See attached image file. I can't select just the profile sketch to cut extrude. It only selects the whole face (surface). I have this issue on (2) different workstations and on various parts along the way.
I am having an issue with the "select sketch features" selection filter. Specifically, it does not seem to work within the edit-in-place environment. If I am sketching on a part that has been opened discretely, selection functions normally. However, if I am editing within an assembly and I attempt to work in a sketch, face selection takes priority over selecting dimensions or sketch features despite the sketch features filter being active. I have not always had this problem, and it began approximately a month ago. I can't think of anything I might have changed to cause this, but I'm wondering if there's an option somewhere that I accidentally toggled.
I have one LW polyline consisting lines and one or two arcs. I want to calculate length of all line segments and arc segments separately and the resulted values to be shown as attributes (seperate attributes for line segments and arc segments).
I cannot select origin to constrain sketch with dimension to origin?
I selected Sketch, expanded origin, selected mywork plan (xy) drew rectangle, input dims, right click for marking menu, selected dimensions, Origin is yellow,
cannot select it and then edge of rect to set dim that will center sketch on origin? Just like the videos show, but cannot select origin>
I am a beginner when a extrude a feature and select a part surface for new sketch now i want is to offset that surface but i can,t there is + sign with mouse icon and something like fully constrained is written in down the window.
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
Trying to get evenly spaced line segments that lie on the circumference of a circle - every time I do the pattern repetition it gives me line segments the same length instead of constraining them to the circumference of the circle ?
I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
I need to print an initial 2d sketch (without any 3d work done on it).
Printing this in sketch mode seems to output a screen capture, i.e. some lines appear wriggly and not as precise as an ordinary plot of an idw or dwg file.
A sketch w/o any 3d work will not be accepted as an idw file, thus I am not able to use all the formatting (tblocks, fonts, dimstyles, etc.) options available to idw files.
Is there a way of printing a 2d sketch (w/o any 3d work) as an idw file?
I've managed to hack together some code to draw a rectangle and dimension it. Now I want to constrain it to the origin. I figure either using two dimensions from a top/side to the origin and setting the dimension as half of the other respective dimension would work. Or constraining the center point of a top/side line to be vertical/horizontal to the origin.
The problem I'm having is I do not know how to reference the origin. So until I figure out how to reference the origin point I can't use either method.
Public Sub DrawSketchLine() ' Check to make sure a sketch is open. If Not TypeOf ThisApplication.ActiveEditObject Is PlanarSketch Then MsgBox "A sketch must be active." Exit Sub End If ' Set a reference to the active sketch. Dim oSketch As PlanarSketch Set oSketch = ThisApplication.ActiveEditObject ' Set a reference to the transient geometry collection. Dim oTransGeom As TransientGeometry Set oTransGeom = ThisApplication.TransientGeometry Dim oUOM As UnitsOfMeasure Set oUOM = [Code].......
Is there a way to update a symbol of one type, without the changes being applied to all symbols of that type in the drawing?
Example: If I have three Flag Note symbol's in my drawing from the same sketch symbol and the text reads 1, is there a way that I can change the text to read 2 in one of them without the other two flag notes updating as well?
IV 2012 Pro-Suite / VP 2011 Windows Vista Enterprise - 64 Bit Precision Workstation T7500 Intel (R) Xeon (R) CPU - E5504 @ 2.00 GHz (8 CPUs) 12284 Mb Ram Dual Quadro FX 5800
(1) Why can't you use the Sweep command with a 3D sketch? (2) Why can't you draw circles in the 3D sketch environment? What do you do if you need to sweep a cut with a circular profile along a 3D sketch line?
I want to make some points in 3D sketch base on the Coordinate System that I defined (UCS).Is there any solution to make these points in 3D sketch just by inputing their coordinates in my UCS?
Example: the new UCS origin has (x,y,z) coordinates from the origin.and one of the points has the coordinates of (x',y',z') from the UCS.
So from the origin it has the coordinates of (x+x',y+y',z+z').Is it possible to just use (x',y',z') from UCS directly to get my point?